=== debian/changelog ===
openvswitch (3.6.0-2) unstable; urgency=medium

  * Blacklist "980: ofproto - flow table names" in riscv.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Aug 2025 13:32:07 +0200

openvswitch (3.6.0-1) unstable; urgency=medium

  * Team upload.
  * d/control: Recommends openvswitch-switch for openvswitch-common
    (Closes: #1080961).
  * d/tests: Drop bind mount trick for DPDK test (LP: #2019069).
  * Update upstream source from tag 'upstream/3.6.0'

 -- Frode Nordahl <fnordahl@ubuntu.com>  Wed, 20 Aug 2025 08:32:23 +0000
