## openvswitch 3.7.0~git20260211.8c6ebf8

=== debian/changelog ===
openvswitch (3.7.0~git20260211.8c6ebf8-1~1.gbp9127d1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.7.0_git20260211.8c6ebf8'.
  * d/rules: Add proper guards for s390x arch.
  * d/p/tests-Make-routing-rules-checks-more-resilient.patch: Some
    datapath tests were failing due to pre-existing routing rules,
    this fix makes the check more general, allowing the tests to
    pass in more environments.
  * d/p/tests-Fix-sigpipe-race-condition-in-odp-tests.patch: In unit
    tests a race condition could happen where the test script (test-dpparse.py)
    would finish processing and close its stdin before the pipeline completed
    writing all its output, making the test fail, this patch addresses this situation.
  * d/p/make-ovs-skip-atlocal-in-rsicv.patch: Drop as it has no effect.
  * Fix lintian warnings and errors.
  * d/control: Bump libdpdk-dev version.

 -- Matteo Perin <matteo.perin@canonical.com>  Fri, 13 Feb 2026 10:41:50 +0100

openvswitch (3.6.0-7) unstable; urgency=medium

  * export PYBUILD_SYSTEM=distutils when calling pybuild (Closes: #1126096).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2026 16:01:04 +0100

openvswitch (3.6.0-6) unstable; urgency=medium

  * Add make-ovs-skip-atlocal-in-rsicv.patch (Closes: #1121905).

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Dec 2025 12:11:21 +0100

openvswitch (3.6.0-5) unstable; urgency=medium

  * Add more tests to the blacklist, which are happening on slower hardware
    (Closes: #1108054).

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Nov 2025 18:24:37 +0100

openvswitch (3.6.0-4) unstable; urgency=medium

  * Blacklist one test in s390x and one in rscv64.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Nov 2025 18:01:59 +0100

openvswitch (3.6.0-3) unstable; urgency=medium

  * Clean-up .pybuild folder on clean (Closes: #1048074).

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Nov 2025 12:27:47 +0100
