=== debian/rules ===
--- 
+++ 
@@ -47,8 +47,22 @@
 
 # NOTE(jamespage): by default, just run all tests
 # NOTE(zigo): by default, blacklist non-deterministic tests
-TEST_LIST = 1-1223 1227-2391 2394-2410 2413-2442 2447-
+# 2436: ovsdb-idl.at:1544  ovsdb-idl - track, simple idl, initially populated, weak references, insert+delete batch - C ovsdb server idl tracking positive
+# 2455: ovsdb-idl.at:1751  ovsdb-idl - track, simple idl, initially empty, strong references, insert and delete - C ovsdb server idl tracking positive
+# 2456: ovsdb-idl.at:1751  ovsdb-idl - track, simple idl, initially empty, strong references, insert and delete - write-changed-only - C ovsdb server idl tracking positive
+# 2489: ovsdb-idl.at:2725  ovsdb-idl - track, insert and delete, refs to link1 - C ovsdb server idl tracking positive
+# 2490: ovsdb-idl.at:2725  ovsdb-idl - track, insert and delete, refs to link1 - write-changed-only - C ovsdb server idl tracking positive
+# 2491: ovsdb-idl.at:2768  ovsdb-idl - track, insert and delete, refs to link2 - C ovsdb server idl tracking positive
+# 2492: ovsdb-idl.at:2768  ovsdb-idl - track, insert and delete, refs to link2 - write-changed-only - C ovsdb server idl tracking positive
+TEST_LIST = 1-1223 1227-2391 2394-2410 2413-2435 2437-2442 2447-2454 2457-2488 2493-
 TEST_LIST_DPDK = $(TEST_LIST)
+
+# s390x:
+# 33: bfd.at:268         bfd - bfd decay
+ifneq (,$(filter s390x, $(DEB_HOST_ARCH)))
+TEST_LIST = 1-32 34-1223 1227-2391 2394-2410 2413-2442 2447-
+TEST_LIST_DPDK = $(TEST_LIST)
+endif
 
 # mips64el:
 #    20: bfd - bfd decay FAILED (bfd.at:396)
@@ -93,6 +107,7 @@
 
 # riscv64
 #  758: tunnel - input with matching tunnel mask        FAILED (tunnel.at:132)
+#  806: tunnel.at:790      tunnel - Geneve metadata
 #  945: ofproto - asynchronous message control (OpenFlow 1.3) FAILED (ofproto.at:3372)
 #  946: ofproto - asynchronous message control (OpenFlow 1.4) FAILED (ovs-macros.at:242)
 #  969: ofproto - flow monitoring pause and resume      FAILED (ofproto.at:4851)
@@ -120,30 +135,3 @@
 #  1805: ovsdb-server combines updates on backlogged connections FAILED (ovsdb-server.at:1213)
 #  1806: ovsdb-server transaction history size           FAILED (ovsdb-server.at:1282)
 ifneq (,$(filter riscv64, $(DEB_HOST_ARCH)))
-TEST_LIST = 1-19 22-28 30-531 533-757 759-944 947-968 970-979 981-1020 1022-1223 1227-1035 1037 1041-1056 1058-1068 1070-1071 1073-1104 1106-1152 1157-1158 1165-1166 1169-1186 1188-1234 1237-1804 1807-2391 2394-2410 2413-2442 2447-
-TEST_LIST_DPDK = $(TEST_LIST)
-endif #riscv64
-
-# ia64
-#    20: bfd - bfd decay                                 FAILED (bfd.at:396)
-#  1021: ofproto-dpif - select group with weights        FAILED (ofproto-dpif.at:535)
-#  1057: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:1893)
-ifneq (,$(filter ia64, $(DEB_HOST_ARCH)))
-TEST_LIST = 1-19 22-531 533-1020 1022-1056 1058-1223 1227-2391 2394-2410 2413-2442 2447-
-TEST_LIST_DPDK = $(TEST_LIST)
-endif #ia64
-
-# LP: #2090931 DPDK 24.11 increases the residential footprint for binaries
-# linked with DPDK.
-#
-# The OVS build system currently links all binaries with DPDK, consequently
-# some tests no longer pass in constrained CI environment due to the increased
-# memory footprint.
-#
-# On an installed system with DPDK enabled, all binaries come from the normal
-# build tree, with the exception of the ovs-vswitchd daemon.
-#
-# We mimic this in our build time test for DPDK to avoid the issue.
-DPDK_AUTOTEST_PATH = $(CURDIR)/_debian/utilities:vswitchd:$(CURDIR)/_debian/ovsdb:$(CURDIR)/_debian/vtep:tests:$(CURDIR)/_debian/ipsec::
-
-override_dh_auto_test:
