## openvswitch 3.7.0

=== debian/changelog ===
openvswitch (3.7.0-1) unstable; urgency=medium

  * Team upload.

  [ Matteo Perin ]
  * Update upstream source from tag 'upstream/3.7.0'
  * d/control: Add python3-netaddr and python3-pyparsing to build-depends.
  * d/p/tests-Fix-sigpipe-race-condition-in-odp-tests.patch: Drop.
  * d/p/tests-Make-routing-rules-checks-more-resilien.patch: Replace with
    upstream version.
  * Fix system routing tests.
    - d/p/ovs-router-Fix-disable-system-route-rules-filter.patch
    - d/p/ovs-router-Fix-locking-in-ovs_router_rule_add.patch

  [ Frode Nordahl ]
  * d/t/control: Be explicit about the iputils-ping test dependency (LP: #2126981).

 -- Matteo Perin <matteo.perin@canonical.com>  Mon, 02 Mar 2026 19:22:00 +0100

openvswitch (3.7.0~git20260211.8c6ebf8-1~1.gbp9127d3) unstable; urgency=medium

  * Blacklist "33: bfd - bfd decay" in riscv64.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 10:56:00 +0100

openvswitch (3.7.0~git20260211.8c6ebf8-1~1.gbp9127d2) unstable; urgency=medium

  * Add Alias=openvswitch.service to openvswitch-switch.service to be aligned
    with the Red Hat .service name.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Feb 2026 15:36:04 +0100
