=== debian/control ===
--- 
+++ 
@@ -36,6 +36,8 @@
  python3-setuptools,
  python3-sortedcontainers,
  python3-sphinx,
+ python3-netaddr,
+ python3-pyparsing,
 Standards-Version: 4.6.2
 Homepage: http://openvswitch.org/
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/openvswitch/-/tree/debian/experimental
