=== debian/tests/control ===
Tests: afxdp, kmod, offloads, userspace
Depends:
 @,
 conntrack,
 curl,
 ethtool,
 iputils-ping,
 ncat,
 net-tools,
 python3-pyftpdlib,
 tcpdump,
 wget,
Restrictions:
 allow-stderr,
 build-needed,
 isolation-machine,
 needs-root,
 rw-build-tree,

# The dpdk tests are marked `skippable`, because they have environment specific
# requirements which may or may not be available at runtime (hugepages setup).
Tests: dpdk
Depends:
 @,
 conntrack,
 curl,
 dpdk-dev [amd64 i386 ppc64el arm64 riscv64],
 ethtool,
 iputils-ping,
 ncat,
 net-tools,
 python3-pyftpdlib,
 tcpdump,
 wget,
Restrictions:
 allow-stderr,
 build-needed,
 isolation-machine,
 needs-root,
 rw-build-tree,
 skippable,

Tests: python-extension
Depends:
  @,
  python3-all,
